package rofaapp;

import javax.swing.ImageIcon;

public class ItemDesk extends Furniture{

    private final int height = 80;
    private int depth;
    private int width;
    private int draws;

    /**
     * @param idl ID of the item.
     * @param tw Wood Type of the item.
     * @param ic Icon of the item.
     * @param drawcount Amount of draws
     * @param widthcount Width of the desk.
     * @param depthcount Depth of the desk.
     */
    //Constructor
    ItemDesk(int idl, TypeWood tw, ImageIcon ic, int drawcount, int widthcount, int depthcount)
    {
        setName("Desk");
        setId(idl);
        setWood(tw);
        setIcon(ic);
        draws = drawcount;
        width = widthcount;
        depth = depthcount;
    }

    //Getters
    public int getHeight(){return height;}
    public int getDepth(){return depth;}
    public int getWidth(){return width;}
    public int getDraws(){return draws;}

    //Setters
    public boolean setDepth(int d)
    {
        depth = d;
        return true;
    }
    public boolean setWidth(int w)
    {
        width = w;
        return true;
    }
    public boolean setDraws(int d)
    {
        draws = d;
        return true;
    }

    //Implement abstract methods
    /**
     * Does nothing.
     * @return 0
     */
    public int getUnits()
    {
        //This is the only item that doesn't include units, so just returns 0.
       return 0;
    }
    /**
     * @return The price of the item.
     */
    public double getPrice()
    {
        return (((height + width + depth) * 12) + (depth * width) * getWood().getPrice()) + (draws * 8.50);
    }
}
