package rofaapp;

import javax.swing.ImageIcon;

public class ItemTableWood extends ItemTable {

    private final double basePrice = 45.00;

    /**
     * Constructor for the Wood Table.
     * @param id Given ID (doesn't have to be unique).
     * @param tw Type of wood the item is.
     * @param ii Icon of the item.
     * @param d Diameter of the item.
     */
    //Constructer
    ItemTableWood(int id, TypeWood tw, ImageIcon ii, int d)
    {
        setName("Wood Table");
        setId(id);
        setWood(tw);
        setIcon(ii);
        setDiameter(d);
    }
    
    //Implement abstract methods
    /**
     * @return Price of the table
     */
    public double getPrice()
    {
        return ((getDiameter() * getDiameter()) * getWood().getPrice()) + basePrice;
    }
}
